Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class TOCStyle

    java.lang.Object
      org.eclipse.birt.report.engine.api.TOCStyle

All Implemented Interfaces:
  java.io.Serializable

    public class TOCStyle

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `BACKGROUND_ATTACHMENT`
`static java.lang.String` | `BACKGROUND_COLOR`
`static java.lang.String` | `BACKGROUND_IMAGE`
`static java.lang.String` | `BACKGROUND_POSITION_X`
`static java.lang.String` | `BACKGROUND_POSITION_Y`
`static java.lang.String` | `BACKGROUND_REPEAT`
`static java.lang.String` | `BORDER_BOTTOM_COLOR`
`static java.lang.String` | `BORDER_BOTTOM_STYLE`
`static java.lang.String` | `BORDER_BOTTOM_WIDTH`
`static java.lang.String` | `BORDER_LEFT_COLOR`
`static java.lang.String` | `BORDER_LEFT_STYLE`
`static java.lang.String` | `BORDER_LEFT_WIDTH`
`static java.lang.String` | `BORDER_RIGHT_COLOR`
`static java.lang.String` | `BORDER_RIGHT_STYLE`
`static java.lang.String` | `BORDER_RIGHT_WIDTH`
`static java.lang.String` | `BORDER_TOP_COLOR`
`static java.lang.String` | `BORDER_TOP_STYLE`
`static java.lang.String` | `BORDER_TOP_WIDTH`
`static java.lang.String` | `CAN_SHRINK`
`static java.lang.String` | `COLOR`
`static java.lang.String` | `DATE_FORMAT`
`static java.lang.String` | `DIRECTION`
`static java.lang.String` | `DISPLAY`
`static java.lang.String` | `FONT_FAMILY`
`static java.lang.String` | `FONT_SIZE`
`static java.lang.String` | `FONT_STYLE`
`static java.lang.String` | `FONT_VARIANT`
`static java.lang.String` | `FONT_WEIGHT`
`static java.lang.String` | `LETTER_SPACING`
`static java.lang.String` | `LINE_HEIGHT`
`static java.lang.String` | `MARGIN_BOTTOM`
`static java.lang.String` | `MARGIN_LEFT`
`static java.lang.String` | `MARGIN_RIGHT`
`static java.lang.String` | `MARGIN_TOP`
`static java.lang.String` | `MASTER_PAGE`
`static java.lang.String` | `NUMBER_FORMAT`
`static java.lang.String` | `PADDING_BOTTOM`
`static java.lang.String` | `PADDING_LEFT`
`static java.lang.String` | `PADDING_RIGHT`
`static java.lang.String` | `PADDING_TOP`
`static java.lang.String` | `PAGE_BREAK_AFTER`
`static java.lang.String` | `PAGE_BREAK_BEFORE`
`static java.lang.String` | `PAGE_BREAK_INSIDE`
`static java.lang.String` | `SHOW_IF_BLANK`
`static java.lang.String` | `STRING_FORMAT`
`static java.lang.String` | `TEXT_ALIGN`
`static java.lang.String` | `TEXT_INDENT`
`static java.lang.String` | `TEXT_LINE_THROUGH`
`static java.lang.String` | `TEXT_OVERLINE`
`static java.lang.String` | `TEXT_TRANSFORM`
`static java.lang.String` | `TEXT_UNDERLINE`
`static java.lang.String` | `VERTICAL_ALIGN`
`static java.lang.String` | `VISIBLE_FORMAT`
`static java.lang.String` | `WHITE_SPACE`
`static java.lang.String` | `WORD_SPACING`

Constructor Summary
`TOCStyle()`

Method Summary
`java.lang.String` | `getBackgroundAttachement()`
`java.lang.String` | `getBackgroundAttachment()` Get the attachment type (either SCROLL or FIXED)
`java.lang.String` | `getBackgroundColor()` Get the background color
`java.lang.String` | `getBackgroundImage()` Get the background image URI
`java.lang.String` | `getBackgroundPositionX()` Get the X (horizontal) position of the background image
`java.lang.String` | `getBackgroundPositionY()` Get the Y (vertical) position of the background image
`java.lang.String` | `getBackgroundRepeat()` Get the background repeat type (valid types are REPEAT, REPEAT_X, REPEAT_Y and NO_REPEAT)
`java.lang.String` | `getBorderBottomColor()` Get the bottom border color
`java.lang.String` | `getBorderBottomStyle()` Get the bottom border style.
`java.lang.String` | `getBorderBottomWidth()` Get the bottom border width.
`java.lang.String` | `getBorderLeftColor()` Get the left border color
`java.lang.String` | `getBorderLeftStyle()` Get the left border style.
`java.lang.String` | `getBorderLeftWidth()` Get the left border width.
`java.lang.String` | `getBorderRightColor()` Get the right border color
`java.lang.String` | `getBorderRightStyle()` Get the right border style.
`java.lang.String` | `getBorderRightWidth()` Get the right border width.
`java.lang.String` | `getBorderTopColor()` Get the top border color
`java.lang.String` | `getBorderTopStyle()` Get the top border style.
`java.lang.String` | `getBorderTopWidth()` Get the top border width.
`java.lang.String` | `getCanShrink()` Can this element shrink?
`java.lang.String` | `getColor()` Get the font color
`java.lang.String` | `getDateFormat()` Get the date format
`java.lang.String` | `getDirection()`
`java.lang.String` | `getDisplay()` Get the display type (valid types are BLOCK, INLINE and NONE)
`java.lang.String` | `getFontFamily()` Get the font family
`java.lang.String` | `getFontSize()` Get the font size
`java.lang.String` | `getFontStyle()` Get the font style
`java.lang.String` | `getFontVariant()` Get the font variant
`java.lang.String` | `getFontWeight()` Get the font weight
`java.lang.String` | `getLetterSpacing()` Get the letter spacing
`java.lang.String` | `getLineHeight()` Get the line height
`java.lang.String` | `getMarginBottom()` Get the bottom margin
`java.lang.String` | `getMarginLeft()` Get the left margin
`java.lang.String` | `getMarginRight()` Get the right margin
`java.lang.String` | `getMarginTop()` Get the top margin
`java.lang.String` | `getMasterPage()` Get the master page
`java.lang.String` | `getNumberFormat()` Get number format
`java.lang.String` | `getPaddingBottom()` Get the bottom padding.
`java.lang.String` | `getPaddingLeft()` Get the left padding.
`java.lang.String` | `getPaddingRight()` Get the right padding.
`java.lang.String` | `getPaddingTop()` Get the top padding.
`java.lang.String` | `getPageBreakAfter()` Get the page break after.
`java.lang.String` | `getPageBreakBefore()` Get the page break before.
`java.lang.String` | `getPageBreakInside()` Get the page break inside.
`java.util.Map` | `getProperties()` Get property.
`java.lang.String` | `getShowIfBlank()` Show if blank?
`java.lang.String` | `getStringFormat()` Get the string format
`java.lang.String` | `getTextAlign()` Get the text alignment.
`java.lang.String` | `getTextIndent()` Get the text indent
`java.lang.String` | `getTextLineThrough()` Get the text line through
`java.lang.String` | `getTextOverline()` Get the text overline
`java.lang.String` | `getTextTransform()` Get the text transform.
`java.lang.String` | `getTextUnderline()` Get the text underline
`java.lang.String` | `getVerticalAlign()` Get the vertical alignment.
`java.lang.String` | `getVisibleFormat()` Get format to hide in.
`java.lang.String` | `getWhiteSpace()` Get the whitespace.
`java.lang.String` | `getWordSpacing()` Get the word spacing
`void` | `setBackgroundAttachement(java.lang.String attachement)`
`void` | `setBackgroundAttachment(java.lang.String attachment)` Set the attachment type (either SCROLL or FIXED)
`void` | `setBackgroundColor(java.lang.String color)` Set the background color
`void` | `setBackgroundImage(java.lang.String imageURI)` Set the background image URI
`void` | `setBackgroundPositionX(java.lang.String x)` Set the X (horizontal) position of the background image
`void` | `setBackgroundPositionY(java.lang.String y)` Set the Y (vertical) position of the background image
`void` | `setBackgroundRepeat(java.lang.String repeat)` Set the background repeat type (valid types are REPEAT, REPEAT_X, REPEAT_Y and NO_REPEAT)
`void` | `setBorderBottomColor(java.lang.String color)` Set the bottom border color
`void` | `setBorderBottomStyle(java.lang.String borderstyle)` Set the bottom border style.
`void` | `setBorderBottomWidth(java.lang.String width)` Set the bottom border width.
`void` | `setBorderLeftColor(java.lang.String color)` Set the left border color
`void` | `setBorderLeftStyle(java.lang.String borderstyle)` Set the left border style.
`void` | `setBorderLeftWidth(java.lang.String width)` Set the left border width.
`void` | `setBorderRightColor(java.lang.String color)` Set the right border color
`void` | `setBorderRightStyle(java.lang.String borderstyle)` Get the right border style.
`void` | `setBorderRightWidth(java.lang.String width)` Set the right border width.
`void` | `setBorderTopColor(java.lang.String color)` Set the top border color
`void` | `setBorderTopStyle(java.lang.String borderstyle)` Get the top border style.
`void` | `setBorderTopWidth(java.lang.String width)` Set the top border width.
`void` | `setCanShrink(java.lang.String canShrink)` Can this element shrink?
`void` | `setColor(java.lang.String color)` Set the font color
`void` | `setDateFormat(java.lang.String dateTimeFormat)` Set the date format
`void` | `setDirection(java.lang.String direction)`
`void` | `setDisplay(java.lang.String display)` Set the display type (valid types are BLOCK, INLINE and NONE)
`void` | `setFontFamily(java.lang.String fontFamily)` Set the font family
`void` | `setFontSize(java.lang.String fontSize)` Set the font size
`void` | `setFontStyle(java.lang.String fontStyle)` Set the font style
`void` | `setFontVariant(java.lang.String fontVariant)` Set the font variant
`void` | `setFontWeight(java.lang.String fontWeight)` Set the font weight
`void` | `setLetterSpacing(java.lang.String spacing)` Set the letter spacing
`void` | `setLineHeight(java.lang.String lineHeight)` Set the line height
`void` | `setMarginBottom(java.lang.String margin)` Set the bottom margin
`void` | `setMarginLeft(java.lang.String margin)` Set the left margin
`void` | `setMarginRight(java.lang.String margin)` Set the right margin
`void` | `setMarginTop(java.lang.String margin)` Set the top margin
`void` | `setMasterPage(java.lang.String masterPage)` Set the master page
`void` | `setNumberFormat(java.lang.String numberFormat)` Set the number format
`void` | `setPaddingBottom(java.lang.String padding)` Set the bottom padding.
`void` | `setPaddingLeft(java.lang.String padding)` Set the left padding.
`void` | `setPaddingRight(java.lang.String padding)` Set the right padding.
`void` | `setPaddingTop(java.lang.String padding)` Set the top padding.
`void` | `setPageBreakAfter(java.lang.String pageBreak)` Set the page break after
`void` | `setPageBreakBefore(java.lang.String pageBreak)` Set the page break before
`void` | `setPageBreakInside(java.lang.String pageBreak)` Set the page break inside
`void` | `setProperty(java.lang.String name, java.lang.String value)` Set property.
`void` | `setShowIfBlank(java.lang.String showIfBlank)` Set show if blank
`void` | `setStringFormat(java.lang.String stringFormat)` Set the string format
`void` | `setTextAlign(java.lang.String align)` Set the text alignment.
`void` | `setTextIndent(java.lang.String indent)` Set the text indent
`void` | `setTextLineThrough(java.lang.String through)` Set the text line through
`void` | `setTextOverline(java.lang.String overline)` Set the text overline
`void` | `setTextTransform(java.lang.String transform)` Set the text transform.
`void` | `setTextUnderline(java.lang.String underline)` Set the text underline
`void` | `setVerticalAlign(java.lang.String valign)` Set the vertical alignment.
`void` | `setVisibleFormat(java.lang.String format)` Set format to hide in.
`void` | `setWhiteSpace(java.lang.String whitespace)` Set the whitespace.
`void` | `setWordSpacing(java.lang.String wordspacing)` Set the word spacing
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BACKGROUND_ATTACHMENT

    public static final java.lang.String BACKGROUND_ATTACHMENT

See Also:
  Constant Field Values

### BACKGROUND_COLOR

    public static final java.lang.String BACKGROUND_COLOR

See Also:
  Constant Field Values

### BACKGROUND_IMAGE

    public static final java.lang.String BACKGROUND_IMAGE

See Also:
  Constant Field Values

### BACKGROUND_POSITION_X

    public static final java.lang.String BACKGROUND_POSITION_X

See Also:
  Constant Field Values

### BACKGROUND_POSITION_Y

    public static final java.lang.String BACKGROUND_POSITION_Y

See Also:
  Constant Field Values

### BACKGROUND_REPEAT

    public static final java.lang.String BACKGROUND_REPEAT

See Also:
  Constant Field Values

### BORDER_BOTTOM_COLOR

    public static final java.lang.String BORDER_BOTTOM_COLOR

See Also:
  Constant Field Values

### BORDER_TOP_COLOR

    public static final java.lang.String BORDER_TOP_COLOR

See Also:
  Constant Field Values

### BORDER_LEFT_COLOR

    public static final java.lang.String BORDER_LEFT_COLOR

See Also:
  Constant Field Values

### BORDER_RIGHT_COLOR

    public static final java.lang.String BORDER_RIGHT_COLOR

See Also:
  Constant Field Values

### BORDER_BOTTOM_WIDTH

    public static final java.lang.String BORDER_BOTTOM_WIDTH

See Also:
  Constant Field Values

### BORDER_TOP_WIDTH

    public static final java.lang.String BORDER_TOP_WIDTH

See Also:
  Constant Field Values

### BORDER_LEFT_WIDTH

    public static final java.lang.String BORDER_LEFT_WIDTH

See Also:
  Constant Field Values

### BORDER_RIGHT_WIDTH

    public static final java.lang.String BORDER_RIGHT_WIDTH

See Also:
  Constant Field Values

### BORDER_BOTTOM_STYLE

    public static final java.lang.String BORDER_BOTTOM_STYLE

See Also:
  Constant Field Values

### BORDER_TOP_STYLE

    public static final java.lang.String BORDER_TOP_STYLE

See Also:
  Constant Field Values

### BORDER_LEFT_STYLE

    public static final java.lang.String BORDER_LEFT_STYLE

See Also:
  Constant Field Values

### BORDER_RIGHT_STYLE

    public static final java.lang.String BORDER_RIGHT_STYLE

See Also:
  Constant Field Values

### CAN_SHRINK

    public static final java.lang.String CAN_SHRINK

See Also:
  Constant Field Values

### COLOR

    public static final java.lang.String COLOR

See Also:
  Constant Field Values

### DATE_FORMAT

    public static final java.lang.String DATE_FORMAT

See Also:
  Constant Field Values

### DIRECTION

    public static final java.lang.String DIRECTION

See Also:
  Constant Field Values

### DISPLAY

    public static final java.lang.String DISPLAY

See Also:
  Constant Field Values

### FONT_FAMILY

    public static final java.lang.String FONT_FAMILY

See Also:
  Constant Field Values

### FONT_SIZE

    public static final java.lang.String FONT_SIZE

See Also:
  Constant Field Values

### FONT_STYLE

    public static final java.lang.String FONT_STYLE

See Also:
  Constant Field Values

### FONT_VARIANT

    public static final java.lang.String FONT_VARIANT

See Also:
  Constant Field Values

### FONT_WEIGHT

    public static final java.lang.String FONT_WEIGHT

See Also:
  Constant Field Values

### LETTER_SPACING

    public static final java.lang.String LETTER_SPACING

See Also:
  Constant Field Values

### LINE_HEIGHT

    public static final java.lang.String LINE_HEIGHT

See Also:
  Constant Field Values

### MARGIN_BOTTOM

    public static final java.lang.String MARGIN_BOTTOM

See Also:
  Constant Field Values

### MARGIN_LEFT

    public static final java.lang.String MARGIN_LEFT

See Also:
  Constant Field Values

### MARGIN_RIGHT

    public static final java.lang.String MARGIN_RIGHT

See Also:
  Constant Field Values

### MARGIN_TOP

    public static final java.lang.String MARGIN_TOP

See Also:
  Constant Field Values

### MASTER_PAGE

    public static final java.lang.String MASTER_PAGE

See Also:
  Constant Field Values

### NUMBER_FORMAT

    public static final java.lang.String NUMBER_FORMAT

See Also:
  Constant Field Values

### PADDING_BOTTOM

    public static final java.lang.String PADDING_BOTTOM

See Also:
  Constant Field Values

### PADDING_LEFT

    public static final java.lang.String PADDING_LEFT

See Also:
  Constant Field Values

### PADDING_RIGHT

    public static final java.lang.String PADDING_RIGHT

See Also:
  Constant Field Values

### PADDING_TOP

    public static final java.lang.String PADDING_TOP

See Also:
  Constant Field Values

### PAGE_BREAK_AFTER

    public static final java.lang.String PAGE_BREAK_AFTER

See Also:
  Constant Field Values

### PAGE_BREAK_BEFORE

    public static final java.lang.String PAGE_BREAK_BEFORE

See Also:
  Constant Field Values

### PAGE_BREAK_INSIDE

    public static final java.lang.String PAGE_BREAK_INSIDE

See Also:
  Constant Field Values

### SHOW_IF_BLANK

    public static final java.lang.String SHOW_IF_BLANK

See Also:
  Constant Field Values

### STRING_FORMAT

    public static final java.lang.String STRING_FORMAT

See Also:
  Constant Field Values

### TEXT_ALIGN

    public static final java.lang.String TEXT_ALIGN

See Also:
  Constant Field Values

### TEXT_INDENT

    public static final java.lang.String TEXT_INDENT

See Also:
  Constant Field Values

### TEXT_LINE_THROUGH

    public static final java.lang.String TEXT_LINE_THROUGH

See Also:
  Constant Field Values

### TEXT_OVERLINE

    public static final java.lang.String TEXT_OVERLINE

See Also:
  Constant Field Values

### TEXT_TRANSFORM

    public static final java.lang.String TEXT_TRANSFORM

See Also:
  Constant Field Values

### TEXT_UNDERLINE

    public static final java.lang.String TEXT_UNDERLINE

See Also:
  Constant Field Values

### VERTICAL_ALIGN

    public static final java.lang.String VERTICAL_ALIGN

See Also:
  Constant Field Values

### VISIBLE_FORMAT

    public static final java.lang.String VISIBLE_FORMAT

See Also:
  Constant Field Values

### WHITE_SPACE

    public static final java.lang.String WHITE_SPACE

See Also:
  Constant Field Values

### WORD_SPACING

    public static final java.lang.String WORD_SPACING

See Also:
  Constant Field Values

Constructor Detail

### TOCStyle

    public TOCStyle()

Method Detail

### getBackgroundAttachement

    public java.lang.String getBackgroundAttachement()

### getBackgroundAttachment

    public java.lang.String getBackgroundAttachment()

  Get the attachment type (either SCROLL or FIXED)

### getBackgroundColor

    public java.lang.String getBackgroundColor()

  Get the background color

### getBackgroundImage

    public java.lang.String getBackgroundImage()

  Get the background image URI

### getBackgroundPositionX

    public java.lang.String getBackgroundPositionX()

  Get the X (horizontal) position of the background image

### getBackgroundPositionY

    public java.lang.String getBackgroundPositionY()

  Get the Y (vertical) position of the background image

### getBackgroundRepeat

    public java.lang.String getBackgroundRepeat()

  Get the background repeat type (valid types are REPEAT, REPEAT_X, REPEAT_Y and NO_REPEAT)

### getBorderBottomColor

    public java.lang.String getBorderBottomColor()

  Get the bottom border color

### getBorderBottomStyle

    public java.lang.String getBorderBottomStyle()

  Get the bottom border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

### getBorderBottomWidth

    public java.lang.String getBorderBottomWidth()

  Get the bottom border width.

### getBorderLeftColor

    public java.lang.String getBorderLeftColor()

  Get the left border color

### getBorderLeftStyle

    public java.lang.String getBorderLeftStyle()

  Get the left border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

### getBorderLeftWidth

    public java.lang.String getBorderLeftWidth()

  Get the left border width.

### getBorderRightColor

    public java.lang.String getBorderRightColor()

  Get the right border color

### getBorderRightStyle

    public java.lang.String getBorderRightStyle()

  Get the right border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

### getBorderRightWidth

    public java.lang.String getBorderRightWidth()

  Get the right border width.

### getBorderTopColor

    public java.lang.String getBorderTopColor()

  Get the top border color

### getBorderTopStyle

    public java.lang.String getBorderTopStyle()

  Get the top border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

### getBorderTopWidth

    public java.lang.String getBorderTopWidth()

  Get the top border width.

### getCanShrink

    public java.lang.String getCanShrink()

  Can this element shrink?

### getColor

    public java.lang.String getColor()

  Get the font color

### getDateFormat

    public java.lang.String getDateFormat()

  Get the date format

  Returns:
    date format

### getDirection

    public java.lang.String getDirection()

### getDisplay

    public java.lang.String getDisplay()

  Get the display type (valid types are BLOCK, INLINE and NONE)

### getFontFamily

    public java.lang.String getFontFamily()

  Get the font family

### getFontSize

    public java.lang.String getFontSize()

  Get the font size

### getFontStyle

    public java.lang.String getFontStyle()

  Get the font style

### getFontVariant

    public java.lang.String getFontVariant()

  Get the font variant

### getFontWeight

    public java.lang.String getFontWeight()

  Get the font weight

### getLetterSpacing

    public java.lang.String getLetterSpacing()

  Get the letter spacing

### getLineHeight

    public java.lang.String getLineHeight()

  Get the line height

### getMarginBottom

    public java.lang.String getMarginBottom()

  Get the bottom margin

### getMarginLeft

    public java.lang.String getMarginLeft()

  Get the left margin

### getMarginRight

    public java.lang.String getMarginRight()

  Get the right margin

### getMarginTop

    public java.lang.String getMarginTop()

  Get the top margin

### getMasterPage

    public java.lang.String getMasterPage()

  Get the master page

### getNumberFormat

    public java.lang.String getNumberFormat()

  Get number format

  Returns:
    the number format

### getPaddingBottom

    public java.lang.String getPaddingBottom()

  Get the bottom padding.

### getPaddingLeft

    public java.lang.String getPaddingLeft()

  Get the left padding.

### getPaddingRight

    public java.lang.String getPaddingRight()

  Get the right padding.

### getPaddingTop

    public java.lang.String getPaddingTop()

  Get the top padding.

### getPageBreakAfter

    public java.lang.String getPageBreakAfter()

  Get the page break after.

### getPageBreakBefore

    public java.lang.String getPageBreakBefore()

  Get the page break before.

### getPageBreakInside

    public java.lang.String getPageBreakInside()

  Get the page break inside.

### getShowIfBlank

    public java.lang.String getShowIfBlank()

  Show if blank?

### getStringFormat

    public java.lang.String getStringFormat()

  Get the string format

  Returns:
    the string format

### getTextAlign

    public java.lang.String getTextAlign()

  Get the text alignment. Valid return types are LEFT, RIGHT, CENTER and JUSTIFY.

### getTextIndent

    public java.lang.String getTextIndent()

  Get the text indent

### getTextLineThrough

    public java.lang.String getTextLineThrough()

  Get the text line through

### getTextOverline

    public java.lang.String getTextOverline()

  Get the text overline

### getTextTransform

    public java.lang.String getTextTransform()

  Get the text transform. Valid return values are NONE, CAPITALIZE, UPPERCASE and LOWERCASE.

### getTextUnderline

    public java.lang.String getTextUnderline()

  Get the text underline

### getVerticalAlign

    public java.lang.String getVerticalAlign()

  Get the vertical alignment. Valid return values are BASELINE, SUB, SUPER, TOP, TEXT_TOP, MIDDLE, BOTTOM and TEXT_BOTTOM

### getVisibleFormat

    public java.lang.String getVisibleFormat()

  Get format to hide in. Should be one of org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_ALL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_VIEWER org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_EMAIL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_PRINT org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_PDF org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_RTF org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_REPORTLET org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_EXCEL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_WORD org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_POWERPOINT

### getWhiteSpace

    public java.lang.String getWhiteSpace()

  Get the whitespace. Valid return values are NORMAL, PRE and NOWRAP

### getWordSpacing

    public java.lang.String getWordSpacing()

  Get the word spacing

### setBackgroundAttachement

    public void setBackgroundAttachement(java.lang.String attachement)

### setBackgroundAttachment

    public void setBackgroundAttachment(java.lang.String attachment)

  Set the attachment type (either SCROLL or FIXED)

### setBackgroundColor

    public void setBackgroundColor(java.lang.String color)

  Set the background color

### setBackgroundImage

    public void setBackgroundImage(java.lang.String imageURI)

  Set the background image URI

### setBackgroundPositionX

    public void setBackgroundPositionX(java.lang.String x)
                                throws ScriptException

  Set the X (horizontal) position of the background image

  Throws:
    `ScriptException`

### setBackgroundPositionY

    public void setBackgroundPositionY(java.lang.String y)
                                throws ScriptException

  Set the Y (vertical) position of the background image

  Throws:
    `ScriptException`

### setBackgroundRepeat

    public void setBackgroundRepeat(java.lang.String repeat)

  Set the background repeat type (valid types are REPEAT, REPEAT_X, REPEAT_Y and NO_REPEAT)

### setBorderBottomColor

    public void setBorderBottomColor(java.lang.String color)

  Set the bottom border color

### setBorderBottomStyle

    public void setBorderBottomStyle(java.lang.String borderstyle)

  Set the bottom border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

### setBorderBottomWidth

    public void setBorderBottomWidth(java.lang.String width)

  Set the bottom border width.

### setBorderLeftColor

    public void setBorderLeftColor(java.lang.String color)

  Set the left border color

### setBorderLeftStyle

    public void setBorderLeftStyle(java.lang.String borderstyle)

  Set the left border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

### setBorderLeftWidth

    public void setBorderLeftWidth(java.lang.String width)

  Set the left border width.

### setBorderRightColor

    public void setBorderRightColor(java.lang.String color)

  Set the right border color

### setBorderRightStyle

    public void setBorderRightStyle(java.lang.String borderstyle)

  Get the right border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

### setBorderRightWidth

    public void setBorderRightWidth(java.lang.String width)

  Set the right border width.

### setBorderTopColor

    public void setBorderTopColor(java.lang.String color)

  Set the top border color

### setBorderTopStyle

    public void setBorderTopStyle(java.lang.String borderstyle)

  Get the top border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

### setBorderTopWidth

    public void setBorderTopWidth(java.lang.String width)

  Set the top border width.

### setCanShrink

    public void setCanShrink(java.lang.String canShrink)

  Can this element shrink?

### setColor

    public void setColor(java.lang.String color)

  Set the font color

### setDateFormat

    public void setDateFormat(java.lang.String dateTimeFormat)

  Set the date format

  Parameters:
    `dateTimeFormat` -

### setDirection

    public void setDirection(java.lang.String direction)

### setDisplay

    public void setDisplay(java.lang.String display)

  Set the display type (valid types are BLOCK, INLINE and NONE)

### setFontFamily

    public void setFontFamily(java.lang.String fontFamily)

  Set the font family

### setFontSize

    public void setFontSize(java.lang.String fontSize)

  Set the font size

### setFontStyle

    public void setFontStyle(java.lang.String fontStyle)

  Set the font style

### setFontVariant

    public void setFontVariant(java.lang.String fontVariant)

  Set the font variant

### setFontWeight

    public void setFontWeight(java.lang.String fontWeight)

  Set the font weight

### setLetterSpacing

    public void setLetterSpacing(java.lang.String spacing)

  Set the letter spacing

### setLineHeight

    public void setLineHeight(java.lang.String lineHeight)

  Set the line height

### setMarginBottom

    public void setMarginBottom(java.lang.String margin)

  Set the bottom margin

### setMarginLeft

    public void setMarginLeft(java.lang.String margin)

  Set the left margin

### setMarginRight

    public void setMarginRight(java.lang.String margin)

  Set the right margin

### setMarginTop

    public void setMarginTop(java.lang.String margin)

  Set the top margin

### setMasterPage

    public void setMasterPage(java.lang.String masterPage)

  Set the master page

### setNumberFormat

    public void setNumberFormat(java.lang.String numberFormat)

  Set the number format

  Parameters:
    `numberFormat` -

### setPaddingBottom

    public void setPaddingBottom(java.lang.String padding)

  Set the bottom padding.

### setPaddingLeft

    public void setPaddingLeft(java.lang.String padding)

  Set the left padding.

### setPaddingRight

    public void setPaddingRight(java.lang.String padding)

  Set the right padding.

### setPaddingTop

    public void setPaddingTop(java.lang.String padding)

  Set the top padding.

### setPageBreakAfter

    public void setPageBreakAfter(java.lang.String pageBreak)

  Set the page break after

### setPageBreakBefore

    public void setPageBreakBefore(java.lang.String pageBreak)

  Set the page break before

### setPageBreakInside

    public void setPageBreakInside(java.lang.String pageBreak)

  Set the page break inside

### setShowIfBlank

    public void setShowIfBlank(java.lang.String showIfBlank)

  Set show if blank

### setStringFormat

    public void setStringFormat(java.lang.String stringFormat)

  Set the string format

  Parameters:
    `stringFormat` -

### setTextAlign

    public void setTextAlign(java.lang.String align)

  Set the text alignment. Valid return types are LEFT, RIGHT, CENTER and JUSTIFY.

### setTextIndent

    public void setTextIndent(java.lang.String indent)

  Set the text indent

### setTextLineThrough

    public void setTextLineThrough(java.lang.String through)
                            throws ScriptException

  Set the text line through

  Throws:
    `ScriptException`

### setTextOverline

    public void setTextOverline(java.lang.String overline)
                         throws ScriptException

  Set the text overline

  Throws:
    `ScriptException`

### setTextTransform

    public void setTextTransform(java.lang.String transform)

  Set the text transform. Valid transform values are NONE, CAPITALIZE, UPPERCASE and LOWERCASE.

### setTextUnderline

    public void setTextUnderline(java.lang.String underline)
                          throws ScriptException

  Set the text underline

  Throws:
    `ScriptException`

### setVerticalAlign

    public void setVerticalAlign(java.lang.String valign)

  Set the vertical alignment. Valid values are BASELINE, SUB, SUPER, TOP, TEXT_TOP, MIDDLE, BOTTOM and TEXT_BOTTOM

### setVisibleFormat

    public void setVisibleFormat(java.lang.String format)

  Set format to hide in. Should be one of org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_ALL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_VIEWER org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_EMAIL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_PRINT org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_PDF org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_RTF org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_REPORTLET org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_EXCEL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_WORD org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_POWERPOINT

  Parameters:
    `format` -

### setWhiteSpace

    public void setWhiteSpace(java.lang.String whitespace)

  Set the whitespace. Valid return values are NORMAL, PRE and NOWRAP

### setWordSpacing

    public void setWordSpacing(java.lang.String wordspacing)

  Set the word spacing

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

  Set property.

### getProperties

    public java.util.Map getProperties()

  Get property.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.